/*******************************************************************************
* File Name: PGA_in.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PGA_in_H) /* Pins PGA_in_H */
#define CY_PINS_PGA_in_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PGA_in_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PGA_in_Write(uint8 value) ;
void    PGA_in_SetDriveMode(uint8 mode) ;
uint8   PGA_in_ReadDataReg(void) ;
uint8   PGA_in_Read(void) ;
uint8   PGA_in_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PGA_in_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PGA_in_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PGA_in_DM_RES_UP          PIN_DM_RES_UP
#define PGA_in_DM_RES_DWN         PIN_DM_RES_DWN
#define PGA_in_DM_OD_LO           PIN_DM_OD_LO
#define PGA_in_DM_OD_HI           PIN_DM_OD_HI
#define PGA_in_DM_STRONG          PIN_DM_STRONG
#define PGA_in_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PGA_in_MASK               PGA_in__MASK
#define PGA_in_SHIFT              PGA_in__SHIFT
#define PGA_in_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PGA_in_PS                     (* (reg8 *) PGA_in__PS)
/* Data Register */
#define PGA_in_DR                     (* (reg8 *) PGA_in__DR)
/* Port Number */
#define PGA_in_PRT_NUM                (* (reg8 *) PGA_in__PRT) 
/* Connect to Analog Globals */                                                  
#define PGA_in_AG                     (* (reg8 *) PGA_in__AG)                       
/* Analog MUX bux enable */
#define PGA_in_AMUX                   (* (reg8 *) PGA_in__AMUX) 
/* Bidirectional Enable */                                                        
#define PGA_in_BIE                    (* (reg8 *) PGA_in__BIE)
/* Bit-mask for Aliased Register Access */
#define PGA_in_BIT_MASK               (* (reg8 *) PGA_in__BIT_MASK)
/* Bypass Enable */
#define PGA_in_BYP                    (* (reg8 *) PGA_in__BYP)
/* Port wide control signals */                                                   
#define PGA_in_CTL                    (* (reg8 *) PGA_in__CTL)
/* Drive Modes */
#define PGA_in_DM0                    (* (reg8 *) PGA_in__DM0) 
#define PGA_in_DM1                    (* (reg8 *) PGA_in__DM1)
#define PGA_in_DM2                    (* (reg8 *) PGA_in__DM2) 
/* Input Buffer Disable Override */
#define PGA_in_INP_DIS                (* (reg8 *) PGA_in__INP_DIS)
/* LCD Common or Segment Drive */
#define PGA_in_LCD_COM_SEG            (* (reg8 *) PGA_in__LCD_COM_SEG)
/* Enable Segment LCD */
#define PGA_in_LCD_EN                 (* (reg8 *) PGA_in__LCD_EN)
/* Slew Rate Control */
#define PGA_in_SLW                    (* (reg8 *) PGA_in__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PGA_in_PRTDSI__CAPS_SEL       (* (reg8 *) PGA_in__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PGA_in_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PGA_in__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PGA_in_PRTDSI__OE_SEL0        (* (reg8 *) PGA_in__PRTDSI__OE_SEL0) 
#define PGA_in_PRTDSI__OE_SEL1        (* (reg8 *) PGA_in__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PGA_in_PRTDSI__OUT_SEL0       (* (reg8 *) PGA_in__PRTDSI__OUT_SEL0) 
#define PGA_in_PRTDSI__OUT_SEL1       (* (reg8 *) PGA_in__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PGA_in_PRTDSI__SYNC_OUT       (* (reg8 *) PGA_in__PRTDSI__SYNC_OUT) 


#if defined(PGA_in__INTSTAT)  /* Interrupt Registers */

    #define PGA_in_INTSTAT                (* (reg8 *) PGA_in__INTSTAT)
    #define PGA_in_SNAP                   (* (reg8 *) PGA_in__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins PGA_in_H */


/* [] END OF FILE */
