/*******************************************************************************
* File Name: capture_intr_1_S2.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_capture_intr_1_S2_H)
#define CY_ISR_capture_intr_1_S2_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void capture_intr_1_S2_Start(void) ;
void capture_intr_1_S2_StartEx(cyisraddress address) ;
void capture_intr_1_S2_Stop(void) ;

CY_ISR_PROTO(capture_intr_1_S2_Interrupt);

void capture_intr_1_S2_SetVector(cyisraddress address) ;
cyisraddress capture_intr_1_S2_GetVector(void) ;

void capture_intr_1_S2_SetPriority(uint8 priority) ;
uint8 capture_intr_1_S2_GetPriority(void) ;

void capture_intr_1_S2_Enable(void) ;
uint8 capture_intr_1_S2_GetState(void) ;
void capture_intr_1_S2_Disable(void) ;

void capture_intr_1_S2_SetPending(void) ;
void capture_intr_1_S2_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the capture_intr_1_S2 ISR. */
#define capture_intr_1_S2_INTC_VECTOR            ((reg16 *) capture_intr_1_S2__INTC_VECT)

/* Address of the capture_intr_1_S2 ISR priority. */
#define capture_intr_1_S2_INTC_PRIOR             ((reg8 *) capture_intr_1_S2__INTC_PRIOR_REG)

/* Priority of the capture_intr_1_S2 interrupt. */
#define capture_intr_1_S2_INTC_PRIOR_NUMBER      capture_intr_1_S2__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable capture_intr_1_S2 interrupt. */
#define capture_intr_1_S2_INTC_SET_EN            ((reg8 *) capture_intr_1_S2__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the capture_intr_1_S2 interrupt. */
#define capture_intr_1_S2_INTC_CLR_EN            ((reg8 *) capture_intr_1_S2__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the capture_intr_1_S2 interrupt state to pending. */
#define capture_intr_1_S2_INTC_SET_PD            ((reg8 *) capture_intr_1_S2__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the capture_intr_1_S2 interrupt. */
#define capture_intr_1_S2_INTC_CLR_PD            ((reg8 *) capture_intr_1_S2__INTC_CLR_PD_REG)



#endif /* CY_ISR_capture_intr_1_S2_H */


/* [] END OF FILE */
