/*******************************************************************************
* File Name: capture_intr_4.h
* Version 1.50
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__capture_intr_4_INTC_H__)
#define __capture_intr_4_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

#if(CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3)     
    #if(CYDEV_CHIP_REVISION_USED <= CYDEV_CHIP_REVISION_3A_ES2)      
        #include <intrins.h>
        #define capture_intr_4_ISR_PATCH() _nop_(); _nop_(); _nop_(); _nop_(); _nop_(); _nop_(); _nop_(); _nop_();
    #endif
#endif


/* Interrupt Controller API. */
void capture_intr_4_Start(void);
void capture_intr_4_StartEx(cyisraddress address);
void capture_intr_4_Stop(void) ;

CY_ISR_PROTO(capture_intr_4_Interrupt);

void capture_intr_4_SetVector(cyisraddress address) ;
cyisraddress capture_intr_4_GetVector(void) ;

void capture_intr_4_SetPriority(uint8 priority) ;
uint8 capture_intr_4_GetPriority(void) ;

void capture_intr_4_Enable(void) ;
uint8 capture_intr_4_GetState(void) ;
void capture_intr_4_Disable(void) ;

void capture_intr_4_SetPending(void) ;
void capture_intr_4_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the capture_intr_4 ISR. */
#define capture_intr_4_INTC_VECTOR            ((reg16 *) capture_intr_4__INTC_VECT)

/* Address of the capture_intr_4 ISR priority. */
#define capture_intr_4_INTC_PRIOR             ((reg8 *) capture_intr_4__INTC_PRIOR_REG)

/* Priority of the capture_intr_4 interrupt. */
#define capture_intr_4_INTC_PRIOR_NUMBER      capture_intr_4__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable capture_intr_4 interrupt. */
#define capture_intr_4_INTC_SET_EN            ((reg8 *) capture_intr_4__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the capture_intr_4 interrupt. */
#define capture_intr_4_INTC_CLR_EN            ((reg8 *) capture_intr_4__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the capture_intr_4 interrupt state to pending. */
#define capture_intr_4_INTC_SET_PD            ((reg8 *) capture_intr_4__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the capture_intr_4 interrupt. */
#define capture_intr_4_INTC_CLR_PD            ((reg8 *) capture_intr_4__INTC_CLR_PD_REG)



/* __capture_intr_4_INTC_H__ */
#endif
